Bug 1308323 - llvm shared libraries disappeared
llvm shared libraries disappeared
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: llvm (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-14 04:06 EST by Mattias Ellert
Modified: 2016-06-05 10:32 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-05 10:32:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2016-02-14 04:06:08 EST
Description of problem:

With the latest llvm update in rawhide, the llvm shared libraries disappeared.

castxml has broken dependencies in the rawhide tree:
On x86_64:
        castxml-0.1-0.9.20160125gitfc71eb9.fc24.x86_64 requires libLLVMXCoreInfo.so.3.7()(64bit)
        castxml-0.1-0.9.20160125gitfc71eb9.fc24.x86_64 requires libLLVMXCoreDisassembler.so.3.7()(64bit)
        castxml-0.1-0.9.20160125gitfc71eb9.fc24.x86_64 requires libLLVMXCoreDesc.so.3.7()(64bit)
        castxml-0.1-0.9.20160125gitfc71eb9.fc24.x86_64 requires libLLVMXCoreCodeGen.so.3.7()(64bit)
[ ... ]

It seems to have been replaced by a single shared library /usr/lib64/libLLVM.so.3.7 - similar to what is in Fedora 23. Was this regression intentional or a mistake?

With the single library I had to introduce a patch compile, a patch I could remove when llvm changed to no longer use the single shared library. With the current change to llvm packaging using the single shared library again I would need to reintroduce the patch.

Version-Release number of selected component (if applicable):

llvm-3.7.1-6.fc24
Comment 1 Jan Kurik 2016-02-24 10:20:33 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Jan Včelák 2016-06-05 10:32:18 EDT
This is intentional. The libraries were split at some point. But it was causing trouble when building some dependencies. So the building was reverted back to single DSO file.

Note You need to log in before you can comment on or make changes to this bug.